

local Object = require("source.Object")
local Door = Object:extend()


function Door:new(x, y, w, h)
  self.super.new(Door)
  self:setPosition(x, y)
  self:setDimensions(w, h)
  self.type = "Door"
  self.collidable = true
  self.delay = 2
  self.timer = self.delay
  self:addToCollisionWorld()
end


function Door:update(dt)
  
end


function Door:draw()
  love.graphics.setColor(255, 255, 255, self.alpha)
  self:drawRectangle()
  love.graphics.setColor(255, 255, 255, 255)
end

return Door